/**********************************************************************/
/*                                                                    */
/*   Licensed Materials - Property of IBM.                            */
/*   IBM XL C/C++ Advanced Edition V8.0 for Linux                     */
/*   5724-M16                                                         */
/*   (C) Copyright IBM Corp. 2003, 2005.                              */
/*   All Rights Reserved.                                             */
/*   US Government Users Restricted Rights -                          */
/*   Use, duplication or disclosure restricted by                     */
/*   GSA ADP Schedule Contract with IBM Corp.                         */
/*                                                                    */
/**********************************************************************/

#ifndef __IBM_VACPP_ibm_limits_h
#define __IBM_VACPP_ibm_limits_h 1

#ifndef  __CHAR_BIT__
# define __CHAR_BIT__ 8
#endif

#ifndef  __SCHAR_MAX__
# define __SCHAR_MAX__ 127
#endif

#ifndef  __SHRT_MAX__
# define __SHRT_MAX__ 32767
#endif

#ifndef  __INT_MAX__
# define __INT_MAX__ 2147483647
#endif

#ifndef   __INTMAX_MAX__
# ifdef __64BIT__
#  define __INTMAX_MAX__ 9223372036854775807L
# else
#  define __INTMAX_MAX__ 9223372036854775807LL
# endif
#endif

#ifndef   __LONG_MAX__
# ifdef __64BIT__
#  define __LONG_MAX__ 9223372036854775807L
# else
#  define __LONG_MAX__ 2147483647L
# endif
#endif

#ifndef  __LONG_LONG_MAX__
# define __LONG_LONG_MAX__ 9223372036854775807LL
#endif

#ifndef __INTMAX_MAX__
# ifdef __64BIT__
#  define __INTMAX_MAX__ 9223372036854775807L
# else
#  define __INTMAX_MAX__ 9223372036854775807LL
# endif
#endif

#endif /* not __IBM_VACPP_ibm_limits_h */ 
